package info.aspirecn.cloud.yysj.service;

import info.aspirecn.cloud.yysj.model.response.AccountInfo;
import info.aspirecn.cloud.yysj.model.response.ConsumptionInfo;
import info.aspirecn.cloud.yysj.model.response.OrderStatistics;
import java.util.List;

/**
 * @author dingliqiang
 */
public interface AnalysisService {

    /**
     * 统计云验平台用户调用总量、车辆、运单、司机信息
     *
     * @param userId 云验数据平台用户ID
     * @return 总量、车辆、运单、司机信息
     */
    List<OrderStatistics> getOrderStatistics(String userId);

    /**
     * 获取用户当月订购产品的消费及占比信息
     *
     * @param userId 云验数据平台用户ID
     * @return 账户当月订购产品的消费及占比信息
     */
    List<ConsumptionInfo> getConsumptionInfo(String userId);


    /**
     * 获取用户当日消费金额和账户余额
     *
     * @param userId 云验数据平台用户ID
     * @return 当日消费金额、用户余额
     */
    AccountInfo getAccountInfo(String userId);

}
