package info.aspirecn.cloud.yysj.service;

import info.aspirecn.cloud.yysj.model.response.ExceptionStatistics;
import info.aspirecn.cloud.yysj.model.response.Statistics;
import java.util.List;

/**
 * @author dingliqiang
 */
public interface StatisticsService {

    /**
     * 获取一定时间内异常效验统计结果（获取不一致结果的统计信息）
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @param userId    云验平台用户ID
     * @return 异常效验统计结果
     */
    List<ExceptionStatistics> getErrorStatistics(String startTime, String endTime, String userId);

    /**
     * 获取一定时间内总量与正常验统计结果（获取总数和一致结果的统计信息）
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @param userId    云验平台用户ID
     * @return 总量与正常验统计结果
     */
    List<Statistics> getCountStatistics(String startTime, String endTime, String userId);

}
