package info.aspirecn.cloud.yysj.service.impl;

import info.aspirecn.cloud.yysj.dao.es.YysjGatewaySecondIndex;
import info.aspirecn.cloud.yysj.model.response.ExceptionStatistics;
import info.aspirecn.cloud.yysj.model.response.Statistics;
import info.aspirecn.cloud.yysj.service.StatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * 数据分析,用于统计分析
 *
 * @author dingliqiang
 */
@Service
public class StatisticsServiceImpl implements StatisticsService {

    @Autowired
    private YysjGatewaySecondIndex yysjGatewaySecondIndex;

    @Override
    public List<Statistics> getCountStatistics(String startTime, String endTime, String userId) {
        return yysjGatewaySecondIndex.getCountStatistics(startTime, endTime, userId);
    }

    @Override
    public List<ExceptionStatistics> getErrorStatistics(String startTime, String endTime, String userId) {
        return yysjGatewaySecondIndex.getErrorStatistics(startTime, endTime, userId);
    }

}
